version: '3.7'

volumes:
  db:
    name: wiki-caretech-db
  data:
    name: wiki-caretech-data

networks:
  proxy:
    external: true
  db:
    name: wiki-caretech

services:
  wiki:
    image: requarks/wiki:2.5
    container_name: wiki-caretech
    env_file: ./secrets/db.secrets
    environment:
      DB_HOST: wiki-db-caretech
      DB_PORT: 5432
      DB_TYPE: postgres
    # Volume defined in Dockerfile : put a name on it
    volumes:
      - data:/wiki/data/content
    labels:
      traefik.http.routers.wiki-caretech.entrypoints: websecure
      traefik.http.routers.wiki-caretech.rule: Host(`wiki.caretech.picasoft.net`)
      traefik.http.services.wiki-caretech.loadbalancer.server.port: 3000
      traefik.enable: true
    networks:
      - proxy
      - db
    restart: unless-stopped

  wiki-db:
    image: postgres:12-alpine
    container_name: wiki-db-caretech
    volumes:
      - db:/var/lib/postgresql/data
    env_file: ./secrets/db.secrets
    networks:
      - db
    restart: unless-stopped
